Resolution: Duplicate

Description

For now the search scope in search controller can't be extended by plugins.
See In51 in search_controller.rb
@object_types = $w(issues news documents changesets wiki_pages messages projects)

So if there is a plugin_hook which let plugin add object_types to above, the plugin can easily integrated their search function into
redmine's search page.

Related issues:
Is duplicate of Redmine - Feature #3936: configurable list of models to inclu... Closed 2009-09-28

History

#1 - 2009-03-22 13:36 - Markus Knittig

That's not a job for a hook, but yes, this should be extendable...

#2 - 2009-03-22 13:53 - Jean-Philippe Lang

- Subject changed from Need a plugin_hook which can let plugin to extend redmine's search scope to Extend search with plugins

#3 - 2010-04-21 21:52 - Eric Thomas
Any update to this?

#4 - 2010-09-03 15:18 - Gonzalo Fernandez-Victorio

As of version 1.0.0.stable | have managed to incorporate search to a plugin with the following changes:

1. Provide search scope in the controller. For example for EzPlugin | had to write

class EzfagController < ApplicationController
fooo]
default_search_scope :fags

foool

2. Provide ability to search in the model (In EzPlugin it's already in the plugin)

class Fag < ActiveRecord::Base
[...]
acts_as_searchable :columns => ["#{table_name}.question", "#{table_name}.answer"],
:include => [:project]

[...]

3. Register the plugin in Redmine search (libs/redmine.rb)
Redmine: :Search.map do |search]|
[...]

search.register :fags

fooo]
#5 - 2010-10-25 17:00 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2010-12-21 05:56 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Duplicate

Closed as being a duplicate of the (implemented) issue #3936.

2025-07-06 22


https://www.redmine.org/issues/3936
http://www.tcpdf.org

